Data.Array.Unboxed in GHC 7.4

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Data.Array.Unboxed in GHC 7.4

Tom Nielsen
Dear cafe,

I have just upgraded to GHC 7.4, and now I run into some compilation problems. Specifically, I have a package that needs both Data.Array.Unboxed and System.IO.Unsafe. But I cannot enable both base and haskell98 in a cabal file. is there any way out of this?

If I enable both haskell98 and base, I get

Query.hs:1:1:
    Ambiguous module name `Prelude':
      it was found in multiple packages: base haskell98-2.0.0.1
cabal: Error: some packages failed to install:

as documented elsewhere (http://hackage.haskell.org/trac/ghc/ticket/4958)

With haskell98 replacing base, I get

Query.hs:55:8:
    Could not find module `System.IO.Unsafe'
    It is a member of the hidden package `base'.
    Perhaps you need to add `base' to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.
cabal: Error: some packages failed to install:

and without haskell98 or array, cabal tells me to add those to .cabal build-depends.

So how can I use the Data.Array.Unboxed package together with all the stuff from base that is not in haskell98?

Thanks,

Tom

_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe
Reply | Threaded
Open this post in threaded view
|

Re: Data.Array.Unboxed in GHC 7.4

Tom Nielsen
Apologies, I fixed this. It only affects the really old Array module, which I can live without. Data.Array.Unboxed is fine.

Tom

On Tue, May 22, 2012 at 10:41 AM, Tom Nielsen <[hidden email]> wrote:
Dear cafe,

I have just upgraded to GHC 7.4, and now I run into some compilation problems. Specifically, I have a package that needs both Data.Array.Unboxed and System.IO.Unsafe. But I cannot enable both base and haskell98 in a cabal file. is there any way out of this?

If I enable both haskell98 and base, I get

Query.hs:1:1:
    Ambiguous module name `Prelude':
      it was found in multiple packages: base haskell98-2.0.0.1
cabal: Error: some packages failed to install:

as documented elsewhere (http://hackage.haskell.org/trac/ghc/ticket/4958)

With haskell98 replacing base, I get

Query.hs:55:8:
    Could not find module `System.IO.Unsafe'
    It is a member of the hidden package `base'.
    Perhaps you need to add `base' to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.
cabal: Error: some packages failed to install:

and without haskell98 or array, cabal tells me to add those to .cabal build-depends.

So how can I use the Data.Array.Unboxed package together with all the stuff from base that is not in haskell98?

Thanks,

Tom


_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe